function [B, C] = HoyerWrapper(A, k, sparsityB, sparsityC)
N_RESTARTS = 10;

errorBest = 1e12;
[n, m] = size(A);
Bbest = zeros(n ,k);
Cbest = zeros(k, m);

for iter = 1 : N_RESTARTS
    [B, C] = nmfsc(A, k, sparsityB, sparsityC, 'dummy', 0);
    errorNew = norm(A - B*C, 'fro') / norm(A, 'fro');
    if errorNew < errorBest
        errorBest = errorNew;
        Bbest = B;
        Cbest = C;        
    end
end

end