function HPI()
% The data is available at 
% https://data.gov.uk/dataset/land-registry-house-price-index-background-tables/resource/a62c0b28-b30c-48fd-8dfd-a03e0c322a01

% Stats:
% 253x178
% k = 15
% Cancer cycles: 40

% 1) Cancer
% 2) Capricorn
% 3) NMF (snmf by Hoyer)
% 4) NMF (ALS with reg 0)
% 5) NMF (ALS with reg 1)
% 6) SVD

%% What algorithms to run.
runCan = 0;
runCap = 0;
runSnmf = 0;
runAls = 0;
runAlsr = 0;
runSvd = 0;

dataName = './data/HPITables4.mat';
fileName = './resultsCancer/real/HPI';
experName = 'HPI';

%% Load data and preprocess.
load(dataName);
A = HPITables4;
A(:, 129) = [];
A = bsxfun(@rdivide, A, std(A));
A = bsxfun(@minus, A, min(A));

CANCER_CYCLES = 40;
k = 15;

realWorldExecute(runCan, runCap, runSnmf, runAls, runAlsr, runSvd, A, k, CANCER_CYCLES, fileName, experName);

end