function news()
% Stats:
% 400x800
% k = 10
% Cancer cycles: 40

% 1) Cancer
% 2) Capricorn
% 3) NMF (snmf by Hoyer)
% 4) NMF (ALS with reg 0)
% 5) NMF (ALS with reg 1)
% 6) SVD

%% What algorithms to run.
runCan = 1;
runCap = 0;
runSnmf = 0;
runAls = 0;
runAlsr = 1;
runSvd = 0;

dataName = './data/news.mat';
fileName = './resultsCancer/real/news';
experName = '4News';

%% Load data.
load(dataName);

%% Convert to tf-idf format and and save input data.
TF = A;
[N, M] = size(A);
H = double(A>0);
E = sum(H, 1);  % #documents containing a term
IDF = log(N./E);
A = bsxfun(@times, TF, IDF);  % tf-idf
A = A / max(A(:));


CANCER_CYCLES = 40;
k = 20;

realWorldExecute(runCan, runCap, runSnmf, runAls, runAlsr, runSvd, A, k, CANCER_CYCLES, fileName, experName);


end


