function worldclim()
% Stats:
% 2575x48
% k = 10
% Cancer cycles: 40

% 1) Cancer
% 2) Capricorn
% 3) NMF (snmf by Hoyer)
% 4) NMF (ALS with reg 0)
% 5) NMF (ALS with reg 1)
% 6) SVD

%% What algorithms to run.
runCan = 1;
runCap = 0;
runSnmf = 0;
runAls = 0;
runAlsr = 0;
runSvd = 0;

dataName = './data/worldclim.mat';
fileName = './resultsCancer/real/worldclim';
experName = 'Worldclim';

%% Load data.
load(dataName);


%% Preprocess and save input data.
A = bsxfun(@minus, A, mean(A));
A = bsxfun(@rdivide, A, std(A));
A = bsxfun(@minus, A, min(A));
assert(min(min(A)) >= 0 );

CANCER_CYCLES = 40;
k = 10;

realWorldExecute(runCan, runCap, runSnmf, runAls, runAlsr, runSvd, A, k, CANCER_CYCLES, fileName, experName);


end