function Cdensity()
rng('shuffle');

dataName = './data/synthCancer/density';

canName = './resultsCancer/densityCan.mat';
capName = './resultsCancer/densityCap.mat';
snmfName = './resultsCancer/densitySNMF.mat';
alsName = './resultsCancer/densityALS.mat';
alsrName = './resultsCancer/densityALSR.mat';
svdName = './resultsCancer/densitySVD.mat';
alsr5Name = './resultsCancer/densityALSR5.mat';

saveName = './figsCancer/density.pdf';
sparseName = './figsCancer/densitySparsity.pdf';

xlabelStr = 'Factor density';
ylabelStr = 'Frobenius error';

addLegend = 0;

 n = 1000;
 m = 800;
 k = 10;
 noise = 0.01;
 minDens = 0.1;
 densInc = 0.1;
 iters = 10;
 nInstances = 10;


if exist(strcat(dataName, '.mat')) == 0
    CgenerateDensityData(n, m, k, noise, minDens, densInc, iters, nInstances, dataName);
end

try    
    CrunCan(k, iters, nInstances, dataName, canName);
    combineAndDelete(canName, iters, nInstances, 'can');
    CrunCap(k, iters, nInstances, dataName, capName);
    combineAndDelete(capName, iters, nInstances, 'cap');
    CrunSnmf(k, iters, nInstances, dataName, snmfName, canName);
    combineAndDelete(snmfName, iters, nInstances, 'snmf');
    CrunAls(k, iters, nInstances, dataName, alsName);
    combineAndDelete(alsName, iters, nInstances, 'als');
    CrunAlsr(k, iters, nInstances, dataName, alsrName);
    combineAndDelete(alsrName, iters, nInstances, 'alsr');
    CrunSVD(k, iters, nInstances, dataName, svdName);
    combineAndDelete(svdName, iters, nInstances, 'svd');
    CrunAlsr5(k, iters, nInstances, dataName, alsr5Name);
    combineAndDelete(alsr5Name, iters, nInstances, 'alsr5');
    
catch
        quit force
end


Cplot(minDens, densInc, iters, nInstances, dataName, ...
    canName, capName, snmfName, alsName, alsrName, svdName, alsr5Name, ...
    saveName, sparseName, addLegend, xlabelStr, ylabelStr);

end