function Cdim()
rng('shuffle');


dataName = './data/synthCancer/dim';

canName = './resultsCancer/dimCan.mat';
capName = './resultsCancer/dimCap.mat';
snmfName = './resultsCancer/dimSNMF.mat';
alsName = './resultsCancer/dimALS.mat';
alsrName = './resultsCancer/dimALSR.mat';
svdName = './resultsCancer/dimSVD.mat';
alsr5Name = './resultsCancer/dimALSR5.mat';

saveName = './figsCancer/dim.pdf';
sparseName = './figsCancer/dimSparsity.pdf';

xlabelStr = 'k';
ylabelStr = 'Frobenius error';

addLegend = 0;

 n = 1000;
 m = 800;
 noise = 0.01;
 density = 0.5;
 minK = 2;
 incK = 2;
 iters = 10;
 nInstances = 10;

if exist(strcat(dataName, '.mat')) == 0
    CgenerateDimData(n, m, noise, density, minK, incK, iters, nInstances, dataName);
end

try
    
    CrunDimCan(minK, incK, iters, nInstances, dataName, canName);
    combineAndDelete(canName, iters, nInstances, 'can');
    CrunDimCap(minK, incK, iters, nInstances, dataName, capName);
    combineAndDelete(capName, iters, nInstances, 'cap');
    CrunDimSnmf(minK, incK, iters, nInstances, dataName, snmfName, canName);
    combineAndDelete(snmfName, iters, nInstances, 'snmf');
    CrunDimAls(minK, incK, iters, nInstances, dataName, alsName);
    combineAndDelete(alsName, iters, nInstances, 'als');
    CrunDimAlsr(minK, incK, iters, nInstances, dataName, alsrName);
    combineAndDelete(alsrName, iters, nInstances, 'alsr');
    CrunDimSVD(minK, incK, iters, nInstances, dataName, svdName);
    combineAndDelete(svdName, iters, nInstances, 'svd');
    CrunDimAlsr5(minK, incK, iters, nInstances, dataName, alsr5Name);
    combineAndDelete(alsr5Name, iters, nInstances, 'alsr5');
    
    
catch
    quit force
end

Cplot(minK, incK, iters, nInstances, dataName, ...
    canName, capName, snmfName, alsName, alsrName, svdName, alsr5Name, ...
    saveName, sparseName, addLegend, xlabelStr, ylabelStr);


end