function CrunAlsr(k, nIters, nInstances, dataName, fileName)
if exist(fileName, 'file') > 0
    return;
end
load(dataName);
names = getTempNames(fileName, nIters);

%% Run algorithms for each param value.
parfor i = 1 : nIters
    runInstances(names{i}, Anoisy{i}, nInstances, k);
end

end


function runInstances(name, Anoisy, nInstances, k)

%% Load a partially completed temp file, or create a new one with dummy values.
if exist(name, 'file') > 0
    load(name);
else
    for j = 1 : nInstances
        B{j} = nan;  % Dummy values.
        C{j} = nan;        
    end
    save(name, 'B', 'C');
end

%% Run algorithms.
for j = 1 : nInstances
    if isDummy(B{j}) || isDummy(C{j})
        [B{j}, C{j}] = nmf_als_reg(Anoisy{j}, k);
        try
            if exist(name, 'file') > 0
                save(name, 'B', 'C', '-append');
            else
                save(name, 'B', 'C');
            end
        catch e
        end
    end
end
end
