function CrunDimCan(Kmin, Kinc, nIters, nInstances, dataName, fileName)
load(dataName);
names = getTempNames(fileName, nIters);

%% Run algorithms for each param value.
didRun = zeros(nIters, 1);
parfor i = 1 : nIters
    k = Kmin + (i - 1) * Kinc;
    didRun(i) = runInstances(names{i}, Anoisy{i}, nInstances, k);
end
if sum(didRun) > 0
    quit force
end
end


function didRun = runInstances(name, Anoisy, nInstances, k)

%% Load a partially completed temp file, or create a new one with dummy values.
if exist(name, 'file') > 0
    load(name);
else
    for j = 1 : nInstances
        B{j} = nan;  % Dummy values.
        C{j} = nan;        
    end
    save(name, 'B', 'C');
end

didRun = 0;
%% Run algorithms.
for j = 1 : nInstances
    if isDummy(B{j}) || isDummy(C{j})
        [B{j}, C{j}] = Cancer(Anoisy{j}, k);
        try
            if exist(name, 'file') > 0
                save(name, 'B', 'C', '-append');
            else
                save(name, 'B', 'C');
            end
        catch e
        end
	didRun = 1;
	break;
    end
end
end