function CtropNoise()
rng('shuffle');


dataName = './data/synthCancer/noiseTrop';

canName = './resultsCancer/noiseTropCan.mat';
capName = './resultsCancer/noiseTropCap.mat';
snmfName = './resultsCancer/noiseTropSNMF.mat';
alsName = './resultsCancer/noiseTropALS.mat';
alsrName = './resultsCancer/noiseTropALSR.mat';
svdName = './resultsCancer/noiseTropSVD.mat';
alsr5Name = './resultsCancer/noiseTropALSR5.mat';

saveName = './figsCancer/noiseTrop.pdf';
sparseName = './figsCancer/noiseTropSparsity.pdf';

xlabelStr = 'Noise';
ylabelStr = 'Frobenius error';

addLegend = 0;

n = 1000;
m = 800;
k = 10;
density = 0.5;
minNoise = 0;
noiseInc = 0.01;
iters = 15;
nInstances = 10;


if exist(strcat(dataName, '.mat')) == 0
    CgenerateTropNoiseData(n, m, k, density, minNoise, noiseInc, iters, nInstances, dataName);
end

try
    
    CrunCan(k, iters, nInstances, dataName, canName);
    combineAndDelete(canName, iters, nInstances, 'can');
    CrunCap(k, iters, nInstances, dataName, capName);
    combineAndDelete(capName, iters, nInstances, 'cap');
    CrunSnmf(k, iters, nInstances, dataName, snmfName, canName);
    combineAndDelete(snmfName, iters, nInstances, 'snmf');
    CrunAls(k, iters, nInstances, dataName, alsName);
    combineAndDelete(alsName, iters, nInstances, 'als');
    CrunAlsr(k, iters, nInstances, dataName, alsrName);
    combineAndDelete(alsrName, iters, nInstances, 'alsr');
    CrunSVD(k, iters, nInstances, dataName, svdName);
    combineAndDelete(svdName, iters, nInstances, 'svd');
    CrunAlsr5(k, iters, nInstances, dataName, alsr5Name);
    combineAndDelete(alsr5Name, iters, nInstances, 'alsr5');   
    
catch
        quit force
end


Cplot(minNoise, noiseInc, iters, nInstances, dataName, ...
    canName, capName, snmfName, alsName, alsrName, svdName, alsr5Name, ...
    saveName, sparseName, addLegend, xlabelStr, ylabelStr);

end