function combineAndDelete(fileName, nIters, nInstances, method)
if exist(fileName, 'file') > 0
    return;
end
names = getTempNames(fileName, nIters);

%% Combine results
for i = 1 : nIters
    try
        load(names{i});
    catch e
        return;
    end
    if ~verify(B, C, nInstances)
        display('Synth experiments are not complete!\n');
        return;
    end
    
    if strcmp(method, 'can')
        Bcan{i} = B;
        Ccan{i} = C;
    end
    
    if strcmp(method, 'cap')
        Bcap{i} = B;
        Ccap{i} = C;
    end
    
    if strcmp(method, 'snmf')
        Bsnmf{i} = B;
        Csnmf{i} = C;
    end
    
    if strcmp(method, 'als')
        Bals{i} = B;
        Cals{i} = C;
    end
    
    if strcmp(method, 'alsr')
        Balsr{i} = B;
        Calsr{i} = C;
    end
    
    if strcmp(method, 'svd')
        Bsvd{i} = B;
        Csvd{i} = C;
    end
    
     if strcmp(method, 'alsr5')
        Balsr5{i} = B;
        Calsr5{i} = C;
    end
end

if strcmp(method, 'can')
    save(fileName, 'Bcan', 'Ccan');
end

if strcmp(method, 'cap')
    save(fileName, 'Bcap', 'Ccap');
end

if strcmp(method, 'snmf')
    save(fileName, 'Bsnmf', 'Csnmf');
end

if strcmp(method, 'als')
    save(fileName, 'Bals', 'Cals');
end

if strcmp(method, 'alsr')
    save(fileName, 'Balsr', 'Calsr');
end

if strcmp(method, 'svd')
    save(fileName, 'Bsvd', 'Csvd');
end

if strcmp(method, 'alsr5')
    save(fileName, 'Balsr5', 'Calsr5');
end

%% Delete temporary files.
for i = 1 : nIters
    delete(names{i});
end

end

function a = verify(B, C, nInstances)
a = 1;
for j = 1 : nInstances
    if isDummy(B{j}) || isDummy(C{j})
        a = 0;
    end
end
end

