function plotDim(minK, incK, itersK, nInstances, dataName, nmfName, svdName, capName, saveNameL1, saveNameFro)


% Params.
FontSize = 30;
mn = 10;
LW = 1.2;
MarkerSize = 10;
% axisShift = params.inc_ / 6;


% Find dimentionality range.
dims = nan(itersK, 1);
for i = 1 : itersK
    dims(i) = minK + (i-1)*incK;
end

load(dataName);

load(capName);
load(nmfName);
load(svdName);

resultsCap = nan(itersK, nInstances);
resultsNMF = nan(itersK, nInstances);
resultsSVD = nan(itersK, nInstances);

count = 1;
names{count} = '$$\texttt{Capricorn}$$';
count = count + 1;

names{count} = '$$\texttt{NMF}$$';
count = count + 1;

names{count} = 'SVD';


%% L1 error
for i = 1 : itersK
    for j = 1 : nInstances
        resultsCap(i, j) = L1(Aorig{i}{j}, Bcap{i}{j}, Ccap{i}{j}, 0);
        resultsNMF(i, j) = sum(sum(abs(Aorig{i}{j} - Bnmf{i}{j}*Cnmf{i}{j}))) / sum(sum(abs(Aorig{i}{j})));
        resultsSVD(i, j) = sum(sum(abs(Aorig{i}{j} - Bsvd{i}{j}*Csvd{i}{j}))) / sum(sum(abs(Aorig{i}{j})));
    end
end
errorbar(dims, mean(resultsCap, 2), std(resultsCap, 0, 2), '-xr', ...
    'LineWidth', LW, 'markers', MarkerSize);
hold on
errorbar(dims, mean(resultsNMF, 2), std(resultsNMF, 0, 2), '-xb', ...
    'LineWidth', LW, 'markers', MarkerSize);
errorbar(dims, mean(resultsSVD, 2), std(resultsSVD, 0, 2), '-xk', ...
    'LineWidth', LW, 'markers', MarkerSize);
% h = legend('Capricorn', 'NMF', 'SVD', 'fontsize', FontSize+30);
% 
% 
% set(h,'FontSize', FontSize - mn);
% legend boxoff 

xlabel('Rank', 'interpreter', 'latex', 'fontsize', FontSize);
ylabel('L1 error', 'interpreter', 'latex', 'fontsize', FontSize);
set(gca,'fontsize', FontSize-8);

axis tight
% x=input('adjust');

hold off
saveas(gcf, saveNameL1, 'pdf');
close all


%% Frobenius error
for i = 1 : itersK
    for j = 1 : nInstances
        resultsCap(i, j) = frobRelative(Aorig{i}{j}, MaxProduct(Bcap{i}{j}, Ccap{i}{j}));
        resultsNMF(i, j) = frobRelative(Aorig{i}{j}, Bnmf{i}{j}*Cnmf{i}{j});
        resultsSVD(i, j) = frobRelative(Aorig{i}{j}, Bsvd{i}{j}*Csvd{i}{j});
    end
end

errorbar(dims, mean(resultsCap, 2), std(resultsCap, 0, 2), '-xr', ...
    'LineWidth', LW, 'markers', MarkerSize);
hold on
errorbar(dims, mean(resultsNMF, 2), std(resultsNMF, 0, 2), '-xb', ...
    'LineWidth', LW, 'markers', MarkerSize);
errorbar(dims, mean(resultsSVD, 2), std(resultsSVD, 0, 2), '-xk', ...
    'LineWidth', LW, 'markers', MarkerSize);
% h = legend('Capricorn', 'NMF', 'SVD', 'fontsize', FontSize+30);
% 
% 
% set(h,'FontSize', FontSize - mn);
% legend boxoff 

xlabel('Rank', 'interpreter', 'latex', 'fontsize', FontSize);
ylabel('Frobenius error', 'interpreter', 'latex', 'fontsize', FontSize);
set(gca,'fontsize', FontSize-8);

axis tight
% x=input('adjust');

hold off
saveas(gcf, saveNameFro, 'pdf');
close all

end


function err_ = frobRelative(A, A_)
err_ = norm(A-A_, 'fro') / norm(A, 'fro');
end




